<?php

require_once("../includes/bootstrap2.php");

if (!headers_sent())
    ob_start("ob_gzhandler");

$sesion = new sesion(); // inicio la sesion

if (!isset($_REQUEST['grado']) || trim($_REQUEST['grado']) == '0x') {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = 0;
    echo json_encode($response);
    exit;
}
require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

$examp = $_REQUEST["q"]; //query number
$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];

if (!$sidx)
    $sidx = 1;

if (!$sord)
    $sord = "asc";

if (!$limit)
    $limit = 10;

$grado = $_GET['grado'];
$wh = "";
$searchOn = Strip($_REQUEST['_search']);

if ($searchOn == 'true') {
    $searchstr = Strip($_REQUEST['filters']);
    $jsona = json_decode($searchstr, true);
    $wh = " AND " . getStringForGroup($jsona);
}

$sql = "(SELECT cod_estudiante, CONCAT_WS(' ', apellido1_est, apellido2_est, nombre1_est, nombre2_est) AS estudiante, numedocumento_est, grado_ant,
            CONCAT_WS('',(SELECT nom_grado FROM aux_grados WHERE aux_grados.ide_grado=split_str(grado_ant,'-',1)),' - ',split_str(grado_ant,'-',2)) AS grado_ant_nom
            FROM aca_estudiantes WHERE matriculado='N' AND estado_est=1 AND cod_condiaca=3 
                AND  cod_situaca=3 AND SUBSTRING_INDEX(grado_ant,'|',1)=" . ($grado) . ") 
            UNION (SELECT cod_estudiante, CONCAT_WS(' ', apellido1_est, apellido2_est, nombre1_est, nombre2_est) AS estudiante, numedocumento_est, grado_ant,
                CONCAT_WS('',(SELECT nom_grado FROM aux_grados WHERE aux_grados.ide_grado=split_str(grado_ant,'-',1)),' - ',split_str(grado_ant,'-',2)) AS grado_ant_nom
                FROM aca_estudiantes WHERE matriculado='N' AND estado_est=1 AND cod_condiaca=3 AND  cod_situaca=2 AND SUBSTRING_INDEX(grado_ant,'|',1)=" . ($grado - 1) . ") 
                    UNION (SELECT cod_estudiante, CONCAT_WS(' ', apellido1_est, apellido2_est, nombre1_est, nombre2_est) AS estudiante, numedocumento_est, grado_ant,
                    CONCAT_WS('',(SELECT nom_grado FROM aux_grados WHERE aux_grados.ide_grado=split_str(grado_ant,'-',1)),' - ',split_str(grado_ant,'-',2)) AS grado_ant_nom
                FROM aca_estudiantes WHERE matriculado='N' AND estado_est=1 AND (grado_ant='' OR ISNULL(grado_ant))) order by grado_ant, estudiante " . $wh;

$academia->instruccion($sql);

$i = 0;
$responce->sql=$sql;
while ($row = $academia->extraer_registro()) {
    $responce->rows[$i]['id'] = $row['cod_estudiante'];
    $grado=  empty($row['grado_ant']) ? "Nuevos" : $row['grado_ant_nom'];
    //$responce->rows[$i]['cell'] = array('numedocumento_est'=>$row['numedocumento_est'], 'nomape_est'=>$row['estudiante'], gradoant=>$grado);
    $responce->rows[$i]['cell'] = array($row['numedocumento_est'], $row['estudiante'],$grado);
    $i++;
}


echo json_encode($responce);

$academia->cerrar();
?>

